package com.unipi.talepis.androidmedical2021;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.JsonArrayRequest;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.StringRequest;
import com.android.volley.toolbox.Volley;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class MainActivity extends AppCompatActivity {
    RequestQueue queue;
    TextView textView1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        queue = Volley.newRequestQueue(this);
        textView1 = findViewById(R.id.textView1);
    }
    public void simpleGet(View view){
        String url = "http://www.google.com";
        String url2 = "http://10.0.2.2:8080/allpatients";
        StringRequest stringRequest = new StringRequest(Request.Method.GET, url2,
                new Response.Listener<String>() {
                    @Override
                    public void onResponse(String response) {
                        textView1.setText(response);
                    }
                }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                textView1.setText(error.getLocalizedMessage());
            }
        });
        queue.add(stringRequest);
    }
    public void getFromSpring(View view){
        String url2 = "http://10.0.2.2:8080/Case/1";
        JsonObjectRequest jsonObjectRequest = new JsonObjectRequest(Request.Method.GET,
                url2, null, new Response.Listener<JSONObject>() {
            @Override
            public void onResponse(JSONObject response) {
                //textView1.setText(response.toString());
                try {
                    textView1.setText(response.getString("patientName"));
                } catch (JSONException e) {
                    e.printStackTrace();
                }
            }
        }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                textView1.setText(error.getLocalizedMessage());
            }
        });
        queue.add(jsonObjectRequest);
    }
    public void getFromSpring2(View view){
        String url2 = "http://10.0.2.2:8080/getCases";
        JsonArrayRequest jsonArrayRequest = new JsonArrayRequest(Request.Method.GET, url2,
                null, new Response.Listener<JSONArray>() {
            @Override
            public void onResponse(JSONArray response) {
                StringBuilder builder = new StringBuilder();
                JSONObject object;
                for (int i=0;i<response.length();i++){
                    try {
                        object = response.getJSONObject(i);
                        builder.append(object.getString("description")).append("\n\n");
                    } catch (JSONException e) {
                        e.printStackTrace();
                    }
                }
                textView1.setText(builder.toString());
            }
        }, new Response.ErrorListener() {
            @Override
            public void onErrorResponse(VolleyError error) {
                textView1.setText(error.getLocalizedMessage());
            }
        });
        queue.add(jsonArrayRequest);
    }
}